Run of fresh-releases for rust-serde-xml-rs

Try this locally (using the lintian-brush package):

debcheckout rust-serde-xml-rs
cd rust-serde-xml-rs
new-upstream --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
[2021-05-24 10:42:02] Running ['new-upstream', '--refresh-patches']
[2021-05-24 10:42:02] Opening branch at https://salsa.debian.org/rust-team/debcargo-conf.git/,branch=master
[2021-05-24 10:42:42] Using cached branch https://janitor.debian.net/git/rust-serde-xml-rs/,branch=debian%2Flatest
[2021-05-24 10:43:12]  100% (435/435)
Traceback (most recent call last):
  File "/usr/lib/python3.9/http/client.py", line 597, in _readinto_chunked
    n = self._safe_readinto(temp_mvb)
  File "/usr/lib/python3.9/http/client.py", line 622, in _safe_readinto
    raise IncompleteRead(bytes(b[:n]), amt-n)
http.client.IncompleteRead: IncompleteRead(1343 bytes read, 2753 more expected)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 216, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 742, in process_package
    with Workspace(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 131, in __enter__
    self.local_tree, self._destroy = create_temp_sprout(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 95, in create_temp_sprout
    raise e
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/utils.py", line 75, in create_temp_sprout
    to_dir = branch.controldir.sprout(
  File "/home/janitor/debian-janitor/breezy/breezy/git/dir.py", line 181, in sprout
    interrepo.fetch_objects(determine_wants=determine_wants,
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 778, in fetch_objects
    refs = self.source.controldir.fetch_pack(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 458, in fetch_pack
    result = self._client.fetch_pack(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 2075, in fetch_pack
    self._handle_upload_pack_tail(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 832, in _handle_upload_pack_tail
    self._read_side_band64k_data(
  File "/home/janitor/debian-janitor/dulwich/dulwich/client.py", line 586, in _read_side_band64k_data
    for pkt in proto.read_pkt_seq():
  File "/home/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 290, in read_pkt_seq
    pkt = self.read_pkt_line()
  File "/home/janitor/debian-janitor/dulwich/dulwich/protocol.py", line 240, in read_pkt_line
    pkt_contents = read(size - 4)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/urllib.py", line 1913, in read
    return self._actual.read(amt)
  File "/usr/lib/python3.9/http/client.py", line 458, in read
    n = self.readinto(b)
  File "/usr/lib/python3.9/http/client.py", line 492, in readinto
    return self._readinto_chunked(b)
  File "/usr/lib/python3.9/http/client.py", line 603, in _readinto_chunked
    raise IncompleteRead(bytes(b[0:total_bytes]))
http.client.IncompleteRead: IncompleteRead(3757 bytes read)

Full worker log